using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MATTR
{
  partial class AboutBox1 : Form
  {
    public AboutBox1()
    {
      InitializeComponent();

      // Get some information and display it
      System.Version v = System.Reflection.Assembly.GetExecutingAssembly().GetName().Version;

      // v.Build is days since Jan. 1, 2000
      // v.Revision*2 is seconds since local midnight
      // (NEVER daylight saving time)

      DateTime t = new DateTime(v.Build * TimeSpan.TicksPerDay +
                                  v.Revision * TimeSpan.TicksPerSecond * 2
                                ).AddYears(1999);

      this.Text = "MATTR";
      
      textBox1.Text = 
        "MATTR  -  Moving-Average Type-Token Ratio\r\n\r\n" +
        "Michael A. Covington, Joe McFall\r\n\r\n"+
        "CASPR Project\r\n" +
        "Artificial Intelligence Center\r\n" +
        "The University of Georgia\r\n" +
        "http://www.ai.uga.edu/caspr\r\n\r\n" +
        "This program computes the moving-average type-token ratio (MATTR) of an English-language text. " +
        "Input is ASCII or Unicode text.  Overall operation is similar to CPIDR, but because a different " +
        "tokenizer is used, the details of the word count are slightly different.  For more information "+
        "see the project's web site.\r\n\r\n" +
        "Version " + v.ToString() + " compiled " + t.ToString() + " EST\r\n\r\n" +
        "Copyright 2007 University of Georgia Research Foundation, Inc.\r\n" +
        "Distributed free for noncommercial use.";
    }

    public AboutBox1(string Message) : this()  // for using the About Box as a pop-up splash screen
    {
      this.ControlBox = false;
      buttonOk.Visible = false;
      textBox2.Visible = true;
      textBox2.Text = Message;
    }

    private void buttonOk_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
